<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Добавить фильм</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">Добавить фильм</h3>
    <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST"
          th:action="@{/films/add}" th:object="${filmForm}">
            <div class="col-md">
                <div class="form-floating">
                    <input name="filmTitle" type="text" class="form-control" id="title" placeholder="Название фильма"
                           required>
                    <label for="title" class="form-label">Название</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
                <div class="col-md">
                    <div class="form-floating">
                        <input name="country" type="text" class="form-control" id="country"
                               placeholder="Название страны" required>
                        <label for="country" class="form-label">Страна</label>
                    </div>
                </div>
                <div class="col-md">
                    <div class="form-floating">
                        <input name="premierYear" type="number" class="form-control" id="premierYear" placeholder="Год выпуска"
                               required>
                        <label for="premierYear" class="form-label">Премьера</label>
                        <div class="invalid-feedback">Обязательное поле для заполнения</div>
                    </div>
                </div>
                    <div class="col-md">
                        <div class="form-floating">
                            <input name="amount" type="number" class="form-control" id="amount" placeholder="Количество"
                                   required>
                            <label for="amount" class="form-label">Количество</label>
                            <div class="invalid-feedback">Обязательное поле для заполнения</div>
                        </div>
                    </div>
                    <!--        TODO: тут будет загрузка файла-->
                    <div class="form-floating">
                        <input name="file" type="file" class="form-control form-control-sm" id="onlineCopyPath"
                               placeholder="Онлайн копия файла" style="padding-top: 2rem;">
                        <label for="onlineCopyPath">Онлайн копия</label>
                    </div>

                    <div class="col-md">
                        <div class="form-floating">
                            <select class="form-select" name="genre" id="genre" required>
                                <option selected>Выберете жанр из списка:</option>
                                <option th:each="genre : ${T(com.filmography.model.Genre).values()}"
                                        th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                            </select>
                            <label for="genre" class="form-label">Жанр</label>
                            <div class="invalid-feedback">Обязательное поле для заполнения</div>
                        </div>
                    </div>
                    <div class="mt-3 row g-2">
                        <button type="submit" class="btn btn-primary">Добавить</button>
                        <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
                    </div>
    </form>
</div>
</body>
</html>